/**
 * @packageDocumentation
 * @module business/image/push-control
 */
import { ChangeDetectorRef } from '@angular/core';
import { FormArray, FormBuilder } from '@angular/forms';
import { Observable } from 'rxjs';
import { ExportOption, ImageSelectorDataContext } from '../../data-context';
import { ImageIntl } from '../../image.intl';
export declare class ImagePushTagsComponent {
    private readonly fb;
    intl: ImageIntl;
    private readonly cdr;
    form: FormArray;
    private readonly context$$;
    set context(context: ImageSelectorDataContext);
    intlChangeSubscription: import("rxjs").Subscription;
    suggestions$: Observable<ExportOption[]>;
    constructor(fb: FormBuilder, intl: ImageIntl, cdr: ChangeDetectorRef);
    addTag(): void;
    removeTag(index: number): void;
    description(tag: ExportOption, language?: keyof ExportOption['description']): string;
    wrapper(name: string): string;
}
